## GwyStatusbar GwyStatusbar — Statusbar with Pango markup support |

## Functions

GtkWidget * | gwy_statusbar_new ()
void | gwy_statusbar_set_markup ()

## Types and Values

struct | GwyStatusbar
struct | GwyStatusbarClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkStatusbar
                                    ╰── GwyStatusbar

## Implemented Interfaces

GwyStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

This widget is almost identical to GtkStatusbar except that it interprets Pango markup in its messages.

It also provides a simple context-free message method `gwy_statusbar_set_markup()` for status bars that do not need all the complexity of GtkStatusbar stacks.

## Functions

### gwy_statusbar_new ()

    GtkWidget *
    gwy_statusbar_new (void);

Creates a new Gwyddion statusbar.

Gwyddion statusbar differs from GtkStatusbar only in one thing: the messages can contain Pango markup.

#### Returns

The newly created statusbar, as a GtkWidget.

### gwy_statusbar_set_markup ()

    void
    gwy_statusbar_set_markup (GwyStatusbar *statusbar,
                              const gchar *markup);

Sets the text to display in a status bar.

This method is intended for simple status bars that do not have stacks and do not need contexts. It does not mix with `gtk_statusbar_push()`. You can use either this simple interface or the full stacks-and-contexts API with GwyStatusbar, but not both in the same status bar.

#### Parameters

statusbar | A statusbar. |
markup | Text message to display in the statusbar. It can contain Pango markup. |

## Types and Values

### struct GwyStatusbar

    struct GwyStatusbar;

### struct GwyStatusbarClass

    struct GwyStatusbarClass {
        GtkStatusbarClass parent_class;

        void (*reserved1)(void);
    };